Bug 28035 - Improve breadcrumbs of cataloging search page
Summary: Improve breadcrumbs of cataloging search page
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 27846
Blocks:
  Show dependency treegraph
 
Reported: 2021-03-25 16:38 UTC by Owen Leonard
Modified: 2021-04-19 09:31 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 28035: Improve breadcrumbs of cataloging search page (4.77 KB, patch)
2021-03-25 17:36 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28035: Improve breadcrumbs of cataloging search page (4.82 KB, patch)
2021-03-26 18:13 UTC, David Nind
Details | Diff | Splinter Review
Bug 28035: Improve breadcrumbs of cataloging search page (4.87 KB, patch)
2021-03-27 15:45 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-03-25 16:38:19 UTC
The breadcrumbs menu on the cataloging search page can be expanded to provide additional context when the page is display search results.
Comment 1 Owen Leonard 2021-03-25 17:36:44 UTC
Created attachment 118832 [details] [review]
Bug 28035: Improve breadcrumbs of cataloging search page

This patch expands the logic around the cataloging search page's
breadcrumbs so that more context is provided in the breadcrumbs menu.

The page title should also reflect this change.

Some markup in the body of the page has been updated to clarify the page
structure using headings.

To test, apply the patch and go to Cataloging.

 - The page title and breadcrumbs menu should show "Home > Cataloging"
 - Perform a search which will return results from the catalog, from the
   reservoir, or both. The page title and breadcrumbs menu should show:
   "Home > Cataloging > Search results."
 - Perform a search which will return no results. The page
   title and breadcrumbs should be: "Home > Cataloging > No results
   found."
Comment 2 David Nind 2021-03-26 18:13:11 UTC
Created attachment 118872 [details] [review]
Bug 28035: Improve breadcrumbs of cataloging search page

This patch expands the logic around the cataloging search page's
breadcrumbs so that more context is provided in the breadcrumbs menu.

The page title should also reflect this change.

Some markup in the body of the page has been updated to clarify the page
structure using headings.

To test, apply the patch and go to Cataloging.

 - The page title and breadcrumbs menu should show "Home > Cataloging"
 - Perform a search which will return results from the catalog, from the
   reservoir, or both. The page title and breadcrumbs menu should show:
   "Home > Cataloging > Search results."
 - Perform a search which will return no results. The page
   title and breadcrumbs should be: "Home > Cataloging > No results
   found."

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2021-03-27 15:43:52 UTC
I like the change, but looking at the page I am wondering about the structure. I think this might be another case for improving our headings. No h1, one h2 for the reservoir... should we not have a "Results in catalog" one maybe too?
Comment 4 Katrin Fischer 2021-03-27 15:45:21 UTC
Created attachment 118904 [details] [review]
Bug 28035: Improve breadcrumbs of cataloging search page

This patch expands the logic around the cataloging search page's
breadcrumbs so that more context is provided in the breadcrumbs menu.

The page title should also reflect this change.

Some markup in the body of the page has been updated to clarify the page
structure using headings.

To test, apply the patch and go to Cataloging.

 - The page title and breadcrumbs menu should show "Home > Cataloging"
 - Perform a search which will return results from the catalog, from the
   reservoir, or both. The page title and breadcrumbs menu should show:
   "Home > Cataloging > Search results."
 - Perform a search which will return no results. The page
   title and breadcrumbs should be: "Home > Cataloging > No results
   found."

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2021-04-06 13:59:23 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-04-19 09:31:46 UTC
Enhancement not pushed to 20.11.x